<?php
//  @copyright	Copyright (C) 2013 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

defined('_JEXEC') or die;

// Include main PHP template file
include_once(JPATH_ROOT . "/templates/" . $this->template . '/php/template.php'); 

if ((JRequest::getCmd("tmpl", "index") != "offline")) { ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>

<?php if ($it_params_responsive == 1) { ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php } ?>

<jdoc:include type="head" />

	<?php
    // Include CSS and JS variables 
    include_once(IT_THEME_DIR.'/php/stylesheet.php');
    ?>
   
</head>

<body class="<?php echo htmlspecialchars($pageclass)?>"> 

	<?php if (($it_mod_usermenu != 0) || ($it_params_welcome == 1) && ($user->guest !=1)) { ?>
    <div id="usermenu">
        <div class="container"> 
        	
            <?php if ($it_params_welcome == 1) { ?>
        	<p class="welcome_site"><?php echo JText::_('TPL_WELCOME') .' '. $sitename .', '. $user->name; ?></p>
            <?php } ?>
             
        	<jdoc:include type="modules" name="usermenu" />
        </div> 
    </div>
    <?php } ?>
    
        
    <header id="header" class=""> 
    	
        <div class="container"> 
        	
            <?php if ($it_params_logo != "") { ?>
            <div id="logo">	
               <a href="<?php echo $this->baseurl ?>"><?php echo $it_params_logo_img; ?></a>        	
            </div>
            <?php } ?> 
            
			<?php if (($it_social_icons== 1) || ($it_mod_search != 0)) { ?> 
            <div id="header_bar">
               
               <?php if ($it_mod_search != 0) { ?>
                <a id="search_toogle" class="search_toogle" href="#"><span><span><?php echo JText::_('TPL_SEARCh'); ?></span></span></a>
                
                <div id="search">
                    <jdoc:include type="modules" name="search" /> 
                </div>
                <?php } ?>
				
				<?php if ($it_social_icons == 1) { ?> 
            	<div class="social_icons">
               
                    <ul>
                      
                        <?php if ($it_social_facebook != "" ) { ?> 
                        <li class="social_facebook"><a href="http://www.facebook.com/<?php echo $it_social_facebook; ?>" target="_blank" rel="tooltip" data-placement="bottom" data-original-title="<?php echo JText::_('TPL_SOCIAL_ICONS_FACEBOOK'); ?>"><span><?php echo JText::_('TPL_SOCIAL_ICONS_FACEBOOK'); ?></span></a>
                        </li>
                        <?php } ?> 
                        <?php if ($it_social_twitter  != "" ) { ?> 
                        <li class="social_twitter"><a title="" href="http://www.twitter.com/<?php echo $it_social_twitter; ?>" target="_blank" rel="tooltip" data-placement="bottom" data-original-title="<?php echo JText::_('TPL_SOCIAL_ICONS_TWITTER'); ?>"> <span>"<?php echo JText::_('TPL_SOCIAL_ICONS_TWITTER'); ?></span></a>
                        </li>
                        <?php } ?> 
                        <?php if ($it_social_youtube  != "" ) { ?> 
                        <li class="social_youtube"><a title="" href="http://www.youtube.com/<?php echo $it_social_youtube; ?>" target="_blank" rel="tooltip" data-placement="bottom" data-original-title="<?php echo JText::_('TPL_SOCIAL_ICONS_YOUTUBE'); ?>"> <span><?php echo JText::_('TPL_SOCIAL_ICONS_YOUTUBE'); ?></span></a>
                        </li>
                        <?php } ?> 
                        
                        <?php if ($it_social_google != "" ) { ?> 
                        <li class="social_google"><a title="" href="https://plus.google.com/<?php echo $it_social_google; ?>/posts" target="_blank" rel="tooltip" data-placement="bottom" data-original-title="<?php echo JText::_('TPL_SOCIAL_ICONS_GOOGLE'); ?>"> <span>+1 <?php echo JText::_('TPL_SOCIAL_ICONS_GOOGLE'); ?></span></a>
                        </li>
                        <?php } ?> 
                        
                    </ul>
                
				</div>
				<?php } ?> 
				
            </div>
            <?php } ?>
                 
                    
            <div id="mainmenu" class="navbar <?php if ($it_mod_slideshow == 0) { ?>no-slideshow<?php } ?>">
                    
                <div class="navbar-inner">
                        
                    <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                    </a>
                    
                    <div class="nav-collapse collapse">
                    
                        <jdoc:include type="modules" name="mainmenu" />
                            
                        <?php if ($it_mod_language != 0) { ?>
                        <div id="language">
                            <jdoc:include type="modules" name="language" /> 
                        </div>
                        <?php } ?>   
                          
                    </div>     
                    
                </div>
            
            </div>
            
        </div>   
    
	</header> 

    
    <?php if ($it_mod_slideshow != 0) { ?>
    <div id="slideshow">
    	
        <div class="container">
        
        	<jdoc:include type="modules" name="slideshow" />
            
        </div>
            
    </div>
    <?php } ?>  
             

	<section id="content">  
	  
    	<div class="container">  
                
			<?php if ($it_mod_breadcrumbs != 0) { ?>        
            <div id="breadcrumbs">
            	<jdoc:include type="modules" name="breadcrumbs" />
            </div>
            <?php } ?> 

            <?php if ($it_mod_message != 0 ) { ?> 
            <div id="message">
            	<jdoc:include type="modules" name="message" style="xhtml" />
            </div>
            <?php } ?>  
    	
			<?php if ($it_mod_promo != 0 ) { ?> 
            <div id="promo">
                <div class="row-fluid">
                    <jdoc:include type="modules" name="promo" style="promo" />
                </div>
            </div>
            <?php } ?>  
      
			<?php if ($it_mod_testimonial != 0 ) { ?> 
            <hr class="dark_sep" />
            <div id="testimonials">
                <jdoc:include type="modules" name="testimonial" />
            </div>   
            
            <script type="text/javascript">
            jQuery(document).ready(function() {
                jQuery("#testimonials").owlCarousel({
                    navigation : false, // Show next and prev buttons
                    pagination : true,
                    slideSpeed : 700,
                    paginationSpeed : 700,
                    transitionStyle : "goDown", // "fade", "backSlide", goDown and fadeUp
                    singleItem:true
                    
                })
            });
            </script>
            <?php } ?>   
      
		        
            <?php if (!isset($it_hide_frontpage)) { ?> 
            <div class="row-fluid">
            
                <div id="middlecol" class="<?php echo $it_content_span;?> <?php echo $it_sidebar_pos_class; ?>">
                    <div class="inside">
                    	
                        <jdoc:include type="message" />

                        <jdoc:include type="component" />
                        
                    </div>
                </div>
                    
                <?php if ($it_mod_sidebar != 0) { ?> 
                <div id="sidebar" class="<?php echo $it_sidebar_span;?> <?php echo $it_sidebar_pos_class; ?>" >
                    <div class="inside">  
                        
                        <jdoc:include type="modules" name="sidebar" style="sidebar" />
                        
                    </div>
                </div>
                <?php } ?> 
                
            </div> 
            <?php } ?>
            
             
		</div> 
         
                        
    </section><!-- / Content  --> 
    
    
    <?php if (($it_mod_showcase || $it_mod_tagline) != 0) { ?>
    <div id="showcase">
       
        <div class="container">
          
           <?php if ($it_mod_showcase != 0 ) { ?>
            <div id="showcase-modules"> 
                <div class="row-fluid">
                    <jdoc:include type="modules" name="showcase" style="showcase" />
                </div>
            </div>    
            <?php } ?> 
            
            <?php if ($it_mod_tagline != 0 ) { ?>
            <div id="tagline"> 
                <jdoc:include type="modules" name="tagline" />
            </div> 
            <?php } ?> 
            
       </div>     
        
    </div>
    <?php } ?> 

	
    
    <footer id="footer">
        	
		<div class="container">
        
         	<?php if ($it_mod_brands != 0 ) { ?> 
            <div id="brands">
                <jdoc:include type="modules" name="brands" />
                
                 <hr class="dark_sep" />
                 
            </div>
            <script type="text/javascript">
            (function($) {
                $(function() { 
                    $("#brands ul").simplyScroll();
                });
            })(jQuery);
            </script>
            <?php } ?>

			<?php if ($it_mod_footer != 0) { ?>
            <div class="row-fluid">
                <jdoc:include type="modules" name="footer" style="footer" />
            </div>
            
             <hr class="dark_sep" />
             
            <?php } ?>
        
    	 </div>
      
	</footer> 
         
         
	<div id="copyright">
        
        <div class="container"> 
        
            <?php if ($it_params_icelogo != 0) { ?> 
            <p id="icelogo">
                <a href="http://www.icetheme.com" target="_blank" title="We would like to inform that this website is designed by IceTheme.com with the latest standards provied by the World Wide Web Consortium (W3C)"></a>
            </p>
            <?php } ?>      
        
        	<jdoc:include type="modules" name="footermenu" />
            
            <p class="copytext">
                 &copy; <?php echo date('Y');?> <?php echo $sitename. "."; ?> 
                 <?php echo JText::_('TPL_RESERVED'); ?> 
            </p> 
            
        </div>
    
    </div>        
         
	
	
    <?php if ($it_mod_loginModal != 0 ) { ?> 
    <!-- Login Modal -->
    <div id="loginModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="myModalLabel"><?php echo $modal_login_title; ?></h3>
      	</div>
        
        <div class="modal-body">
			<jdoc:include type="modules" name="modal_login" />
        </div>
        
    </div>
 	<?php } ?>  
    
	<?php if ($it_params_gotop != 0) { ?>
    <div id="gotop" class="">
        <a href="#" class="scrollup"><?php echo JText::_('TPL_SCROLL'); ?></a>
    </div>
    <?php } ?>  

        
	<?php 
		
		if ($it_mod_slide != 0) { 
			// Include slide module position
			include_once(IT_THEME_DIR.'/php/slide.php');
		}
		
		if ($it_params_styleswitcher != 0) { 
			// Include style switcher JS 
			include_once(IT_THEME_DIR.'/php/style_switcher.php');
		}
		
	?>
    
    <jdoc:include type="modules" name="debug" />
    
</body>
</html>
<?php } ?>